FREEBSD::NVLIST_UP(3)

NAME
freebsd::nvlist_up - std::unique_ptr specialization for name/value pairs

LIBRARY
libutil++

SYNOPSIS
#include <libutil++.hh>
using nvlist_up = std::unique_ptr<nvlist, nvlist_deleter>;

DESCRIPTION
This class is a specialization of std::unique_ptr for nvlist_t objects. When an nvlist_t object managed by an instance of this class is disposed, nvlist_destroy(3) is invoked to dispose of the object.

EXAMPLES

    freebsd::nvlist_up nvl(nvlist_create(0));
    nvlist_add_number(nvl.get(), "answer", 42);
    nvlist_add_bool(nvl.get(), "valid", true);
    // `nvl' is implicitly destroyed

SEE ALSO
nvlist_destroy(3)